import logging

import discord

from ._helpers import ev_command, get_files_path
from .config import CONFIG

_logger = logging.getLogger(__name__)


def reply_private(interaction: discord.Interaction, name: str) -> bool:
    _logger.debug(f"User {interaction.user.name}({interaction.user.id}) used /{name}")
    return interaction.channel_id not in CONFIG.ev_info.channels


@ev_command(
    name="linktree",
    description=CONFIG.ev_info.linktree.description,
)
async def linktree(interaction: discord.Interaction) -> None:
    """
    Links rund um den Verein
    """

    await interaction.response.send_message(
        content=CONFIG.ev_info.linktree.content,
        suppress_embeds=True,
        ephemeral=reply_private(interaction, "linktree"),
    )


@ev_command(
    name="join",
    description=CONFIG.ev_info.join.description,
)
async def join(interaction: discord.Interaction) -> None:
    """
    Wie und warum dem Verein beitreten
    """

    await interaction.response.send_message(
        content=CONFIG.ev_info.join.content,
        file=discord.File(get_files_path() / CONFIG.ev_info.join.filename),
        ephemeral=reply_private(interaction, "join"),
    )


COMMANDS = [
    linktree,
    join,
]
